/*****************************************************************************
**  This is part of the CTSim program
**  Copyright (C) 1983-2000 Kevin Rosenberg
**
**  $Id: ct.h,v 1.6 2000/05/24 22:48:17 kevin Exp $
**  $Log: ct.h,v $
**  Revision 1.6  2000/05/24 22:48:17  kevin
**  First functional version of SDF library for X-window
**
**  Revision 1.5  2000/05/11 01:04:44  kevin
**  Added Microsoft Windows compatibility
**
**  Revision 1.4  2000/05/03 19:51:41  kevin
**  function renaming for phantoms and phantom elements
**
**  Revision 1.3  2000/04/30 19:17:35  kevin
**  Set up include files for conditional SGP
**
**  Revision 1.2  2000/04/28 14:14:16  kevin
**  *** empty log message ***
**
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/
/*---------------------------------------------------------------------*/
/*		    HEADER FILE FOR TOMOGRAPY SYSTEM                   */
/*---------------------------------------------------------------------*/

#ifndef CT_H
#define CT_H

#ifdef _WIN32
typedef long off_t;
#define HAVE_STRING_H 1
#include <fcntl.h>
#define snprintf _snprintf
#define vsnprintf _vsnprintf
#define strcasecmp stricmp
#define strncasecmp strnicmp
#endif

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#ifdef HAVE_PNG
#include "png.h"
#endif
#ifdef HAVE_G2_H
#include "g2.h"
#ifdef HAVE_X11
#include "g2_X11.h"
#endif
#endif
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
#ifdef HAVE_STRING_H
#include <string.h>
#endif
#ifdef HAVE_STDDEF_H
#include <stddef.h>
#endif
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif
#ifdef HAVE_STDARG_H
#include <stdarg.h>
#endif
#ifdef  HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_STAT_H
#include <sys/stat.h>
#endif
#ifdef HAVE_CTYPE_H
#include <ctype.h>
#endif
#ifdef HAVE_MATH_H
#include <math.h>
#endif
#ifdef HAVE_SYS_FCNTL_H
#include <sys/fcntl.h>
#endif
#ifdef HAVE_FCNTL_H
#include <fcntl.h>
#endif
#if defined(HAVE_GETOPT_H) || defined(HAVE_GETOPT_LONG)
#include <getopt.h>
#endif
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifdef HAVE_SETJMP_H
#include <setjmp.h>
#endif
#ifdef HAVE_SYS_PARAM_H
#include <sys/param.h>          /* for htonl on FreeBSD */
#endif
#ifdef HAVE_NETINET_IN_H
#include <netinet/in.h>         /* for htonl on Linux/Solaris */
#endif
#ifdef HAVE_INTTYPES_H
#include <inttypes.h>           /* for htonl on Solaris */
#endif
#ifdef HAVE_STDINT_H
#include <stdint.h>             /* Standard ints on Linux */
#endif

#ifdef MPI_CT
#include "mpi.h"
#endif

#include "kstddef.h"
#include "kmath.h"
#include "sdf.h"
#include "ir.h"
#include "keyboard.h"
#include "cio.h"
#ifdef HAVE_SGP
#include "ezplot.h"
#include "sgp.h"
#endif

#endif

